.TH XScreenSaver 1 "31-Aug-2023" "X Version 11"
.SH NAME
anclock \- a simple analog clock
.SH SYNOPSIS
.B anclock
[\-\-root]
[\-\-window]
[\-\-mono]
[\-\-install]
[\-\-noinstall]
[\-\-visual \fIvisual\fP]
[\-\-window-id \fIid\fP]
[\-\-fps]
[\-\-no-fps]
[\-\-pair]
[\-\-background \fIspec\fP]
[\-\-brightness \fIfrac\fP]
[\-\-cycle \fIint\fP]
[\-\-face \fIstr\fP]
[\-\-foreground \fIspec\fP]
[\-\-frequency \fIint\fP]
[\-\-full-minute]
[\-\-hide-index]
[\-\-hide-mark]
[\-\-hide-second]
[\-\-mono]
[\-\-pin]
[\-\-railway-clock]
[\-\-size \fIpercent\fP]
[\-\-wireframe]
.SH DESCRIPTION
The \fIanclock\fP program draws a simple analog clock.
.SH OPTIONS
.I anclock
accepts the following options:
.TP 8
.B \-\-root
Draw on the root window.
.TP 8
.B \-\-window
Draw on a newly-created window.
This is the default.
.TP 8
.B \-\-install
Install a private colormap for the window.
Currently, it doesn't work.
.TP 8
.B \-\-noinstall
Don't install a private colormap for the window.
.TP 8
.B \-\-visual \fIvisual\fP
Specify which visual to use.
Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-\-window-id \fIid\fP
Draw to the indicated window instead; this only works if the
.BR xscreensaver-getimage (1)
program is installed.
.TP 8
.B \-\-fps
Display the current frame rate and CPU load.
.TP 8
.B \-\-no-fps
Don't display fps.
This is the default.
.TP 8
.B \-\-pair
Create a pair of windows.
.TP 8
.B \-\-background(-bg) \fIspec\fP
What to use for the background.
This may be a color name,
a hexadecimal RGB specification in the form '#rrggbb',
or the name of a PPM file.
Default black.
.TP 8
.B \-\-brightness \fIfrac\fP
Relative brightness ratio [%].
Default 70.
.TP 8
.B \-\-cycle \fIint\fP
Color change cycle [seconds] for packard face and ring face.
0 for no color change.
Default 20.
.TP 8
.B \-\-face \fIstr\fP
Clock face name.
Valid names are 'watch', 'xclock', 'packard', 'kclock', 'rwclock' or 'ring'.
Default 'watch'.
.TP 8
.B \-\-foreground(-fg) \fIspec\fP
What to use for the clock and the fps font.
This may be a color name,
a hexadecimal RGB specification in the form '#rrggbb',
or the name of a PPM file.
Default white.
.TP 8
.B \-\-frequency \fIint\fP
Vibration frequency [Hz].
Legal values are 1, 2, 4, 5, 8, 10, 20, 25 or 0.  '0' for face specific default
frequency, watch: 5[Hz], rwclock: 20[Hz], ring: 10[Hz], others: 1[Hz].
Default 0.
.TP 8
.B \-\-full-minute
The minute hand moves only at the full minute.
.TP 8
.B \-\-hide-index
Don't show the indexes.
.TP 8
.B \-\-hide-mark
Don't show the second marks.
.TP 8
.B \-\-hide-second
Don't show the second hand.
.TP 8
.B \-\-mono
Monocolor clock.
In many cases, same as \-\-brightness 100.  'watch' face and 'ring' face
don't change color.
.TP 8
.B \-\-pin
Fix clock on the center of the screen.
.TP 8
.B \-\-railway-clock
Swiss railway clock mode.
.TP 8
.B \-\-size \fIfrac\fP
Clock size ratio [%].
Default 85.
.TP 8
.B \-\-wireframe
Wireframe clock.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1)
.SH COPYRIGHT
Copyright (c) 2009-2023 by PT2K, et al.  Permission to use, copy, modify,
distribute, and sell this software and it's documentation for any purpose is
hereby granted without fee, provided that the above copyright notice appear
in all copies and that both that copyright notice and this permission notice
appear in supporting documentation.  No representations are made about the
suitability of this software for any purpose.  It is provided "as is" without
express or implied warranty.
.SH AUTHOR
PT2K <webmaster@pt2k.xii.jp>,
The Open Group with Tony Della Fera,
Jeremie PETIT <petit@aurora.unice.fr>,
Manfred Schwarb <manfred99@gmx.ch>,
31-Aug-2023.
